"use client";

import { RequireRole } from "@/components/dashboard/require-role";

export default function BlogLayout({
  children,
}: {
  children: React.ReactNode;
}) {
  return (
    <RequireRole roles={["admin"]} permissions={["create-post", "edit-post", "publish-post"]} redirectTo="/dashboard">
      {children}
    </RequireRole>
  );
}
